Subject: bug#25852: Users not updating their installations of Guix

From: Leo Famulari <[email-masked]>
Date: Sat, 4 Mar 2017 17:43:59 -0500

On Sat, Mar 04, 2017 at 09:29:41PM +0100, Tomáš Čech wrote:
> On Thu, Feb 23, 2017 at 04:11:56PM -0500, Leo Famulari wrote:
> > In my opinion, the recent bug #25775 (Can't install packages after guix
> > pull) [0] exposed a sort of meta-bug: there are a significant number of
> > users who were still using the guix-daemon from 0.10.0.
> > 
> > It seems unlikely that they have been updating all of root's
> > packages except for the guix package. Rather, I bet they never updated
> > root's packages at all, for ~1 year.
> > 
> > I think this is a serious documentation bug.
> 
> One problem may be that Guix on top of foreign distribution is not
> able to update itself.

I can update my Guix-on-Debian systems without trouble, using the normal
`guix pull && guix package -u .` method.

> I still offer guix-0.12 RPM package for openSUSE installation as there
> was no new release. Guix is able to update itself via `guix pull' but
> it doesn't affect system installation of guix-daemon.

Interesting, I didn't know there was a distro package for openSUSE.

For that package, the root user cannot update the guix-daemon?